Bug 984777 - Submitting job for "broken" machine leads to ambiguous failure message
Submitting job for "broken" machine leads to ambiguous failure message
Status: NEW
Product: Beaker
Classification: Community
Component: Doc (Show other bugs)
0.13
Unspecified Unspecified
medium Severity unspecified (vote)
: ---
: ---
Assigned To: beaker-dev-list
tools-bugs
: Documentation, EasyFix, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-15 21:41 EDT by Jay Vyas
Modified: 2016-05-26 09:15 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 968608
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jay Vyas 2013-07-15 21:41:19 EDT
The lab controller (possibly scheduler, if so , please reassign or note below) Appears to report a misleading message when machines are in broken state. 

Specifically: Ive submitted jobs for machines which are of status "Broken", but on doing so, the controller seems to return that recipe ID's do not match any system. 

"Recipe ID 951482 does not match any systems"

To reproduce: 

1) Put a machine in the "broken" state.

2) Submit a job to commision said machine above. 

3) Observe in the web ui, that the failure message sais ""Recipe ID XXXX does not match any systems".

Forgive me if I've erroneously assigned this to the wrong component.
Comment 2 Nick Coghlan 2013-07-15 22:18:49 EDT
Agreed, since there are additional checks involved, the error message should include a qualifier along the lines of "any system available to the scheduler for this user".

We probably won't get to this for 0.14, but we can definitely take a look for 0.15.
Comment 3 Nick Coghlan 2013-07-15 22:25:21 EDT
As far as what "available to the scheduler for this user" actually means, that's one of the questions the forthcoming architecture guide in the Beaker 0.14 documentation should answer :)
Comment 5 Amit Saha 2014-03-20 03:55:15 EDT
(In reply to Nick Coghlan from comment #3)
> As far as what "available to the scheduler for this user" actually means,
> that's one of the questions the forthcoming architecture guide in the Beaker
> 0.14 documentation should answer :)

Moving this to "Doc" component.

Note You need to log in before you can comment on or make changes to this bug.